import makeStyles from "../../../../ui/styles/makeStyles";
var getClasses = makeStyles(function (_ref) {
  var colors = _ref.cleverUI.colors;
  return {
    imageContainer: {
      padding: 0,
      border: 0,
      lineHeight: 0,
      height: "fit-content",
      borderRadius: "6px",
      flexShrink: 0,
      backgroundColor: colors.primary[500],
      "&[data-selected=true]": {
        outline: "2px solid ".concat(colors.blue[500]),
        "& > img": {
          opacity: 0.5
        }
      }
    },
    image: function image(_ref2) {
      var landscape = _ref2.landscape;
      return {
        aspectRatio: "".concat(landscape ? "16 / 9" : "1 / 1"),
        width: "".concat(landscape ? "110px" : "64px"),
        objectFit: "cover",
        borderRadius: "6px"
      };
    },
    pagination: {
      padding: 0
    },
    loadingContainer: function loadingContainer(_ref3) {
      var landscape = _ref3.landscape;
      return {
        padding: 0,
        border: 0,
        lineHeight: 0,
        height: "48px",
        borderRadius: "6px",
        flexShrink: 0,
        aspectRatio: "".concat(landscape ? "16 / 9" : "1 / 1"),
        transform: "none !important"
      };
    }
  };
});
export default getClasses;